org.eclipse.microprofile.openapi.annotations.info

## Annotation Type Info

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface Info

This annotation provides metadata about the API, and maps to the Info object in OpenAPI Specification 3.

See Also:
  "https://github.com/OAI/OpenAPI-Specification/blob/master/versions/3.0.md#infoObject"

### Required Element Summary

Required Elements
`String` `title` The title of the application.
`String` `version` The version of the API definition.

### Optional Element Summary

Optional Elements
`Contact` `contact` The contact information for the exposed API.
`String` `description` A short description of the application.
`License` `license` The license information for the exposed API.
`String` `termsOfService` A URL to the Terms of Service for the API.

### Element Detail

#### title

    public abstract String title

The title of the application.

Returns:
  the application's title

#### version

    public abstract String version

The version of the API definition.

Returns:
  the application's version

#### description

    public abstract String description

A short description of the application. CommonMark syntax can be used for rich text representation.

Returns:
  the application's description

Default:
  ""

#### termsOfService

    public abstract String termsOfService

A URL to the Terms of Service for the API. Must be in the format of a URL.

Returns:
  the application's terms of service

Default:
  ""

#### contact

    public abstract Contact contact

The contact information for the exposed API.

Returns:
  a contact for the application

Default:
  @org.eclipse.microprofile.openapi.annotations.info.Contact

#### license

    public abstract License license

The license information for the exposed API.

Returns:
  the license of the application

Default:
  @org.eclipse.microprofile.openapi.annotations.info.License(name="")